using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Enums
{
    public enum SCStandardSystemEnums
    {
        /// <summary>
        /// 制度体系创建
        /// </summary>
        有效 = 0,
        /// <summary>
        /// 制度体系创建
        /// </summary>
        失效 = 1,
    }
    public enum SCDepartmentType
    {
        部门 = 0,
        车间 = 1,
        班组 = 2,
        公司 = 3
    }
    /// <summary>制度状态</summary>
    public enum SCSystemFileStatus
    {
        有效 = 1,
        失效 = 2,
        废除中 = 3,
        修订中 = 4,
        已废除 = 5,
    }
    /// <summary>类型</summary>
    public enum SCType
    {
        制度 = 0,
        安全生产责任制 = 1,
        岗位安全操作规程和指导书 = 2,
        应急预案 = 3,
    }
    /// <summary>制度编辑状态</summary>
    public enum SCSystemEditStatus
    {
        草稿 = 0,
        审核中 = 1,
        已归档 = 2,
        已废除 = 3,
        废除审核中 = 4,
    }
    /// <summary>
    /// 是、否
    /// </summary>
    public enum DisableStatusEnum
    {
        否 = 0,
        是 = 1
    }
    #region       会议模块


    /// <summary>
    /// 会议类型
    /// </summary>
    public enum SCMEETINGTYPE
    {

        /// <summary>
        /// 普通会议 10
        /// </summary>
        [Description("普通会议")]
        Ordinary = 10,


        /// <summary>
        /// 文件审核会议 20
        /// </summary>
        [Description("文件审核会")]
        FileAudit = 20,

        /// <summary>
        /// 文件评审会 30
        /// </summary>
        [Description("文件评审会")]
        FileReView = 30,


        /// <summary>
        /// 安委会 40
        /// </summary>
        [Description("安委会")]
        SafetyBoard = 40,


        /// <summary>
        /// 基层安全会 50
        /// </summary>
        [Description("基层安全会")]
        BasicSecurity = 50,
    }
    /// <summary>
    /// 普通会议类型（添加用）
    /// </summary>
    public enum SCMEETINGTYPEOrd
    {

        /// <summary>
        /// 普通会议 10
        /// </summary>
        [Description("普通会议")]
        Ordinary = 10,


        /// <summary>
        /// 文件审核会议 20
        /// </summary>
        [Description("文件审核会")]
        FileAudit = 20,

        /// <summary>
        /// 文件评审会 30
        /// </summary>
        [Description("文件评审会")]
        FileReView = 30,

    }

    /// <summary>
    /// 安委会类型（添加用）
    /// </summary>
    public enum SCMEETINGTYPESafe
    {

        /// <summary>
        /// 安委会 40
        /// </summary>
        [Description("安委会")]
        SafetyBoard = 40,


        /// <summary>
        /// 基层安全会 50
        /// </summary>
        [Description("基层安全会")]
        BasicSecurity = 50,
    }
    /// <summary>
    /// 会议人员类型
    /// </summary>
    public enum SCMEETINGPERSONTYPE
    {
        /// <summary>
        /// 所有人 10
        /// </summary>
        [Description("所有人")]
        ALL = 10,

        /// <summary>
        /// 请假人 20
        /// </summary>
        [Description("请假人")]
        ASKFORLEAVE = 20,

        /// <summary>
        /// 缺席人 30
        /// </summary>
        [Description("缺席人")]
        ABSENCE = 30,

        /// <summary>
        /// 参会人 40
        /// </summary>
        [Description("参会人")]
        JOIN = 40,

        /// <summary>
        /// 评审人 50
        /// </summary>
        [Description("评审人")]
        REVIEW = 50,

    }

    /// <summary>
    /// 人员性质
    /// </summary>
    public enum PersonNature
    {
        /// <summary>
        /// JOIN 10
        /// </summary>
        [Description("JOIN")]
        JOIN = 10,

        /// <summary>
        /// 记录人 20
        /// </summary>
        [Description("记录人")]
        RECORDER = 20,

        /// <summary>
        /// 主持人 30
        /// </summary>
        [Description("主持人")]
        HOST = 30,

    }

    /// <summary>
    /// 会议发布 是否参会反馈
    /// </summary>
    public enum JoinTaskResult
    {

        /// <summary>
        /// 参加 10
        /// </summary>
        [Description("参加")]
        Join = 10,

        /// <summary>
        /// 请假 20
        /// </summary>
        [Description("请假")]
        AskForLeave = 20,

        /// <summary>
        /// 未完成 30
        /// </summary>
        [Description("未完成")]
        UnCheck = 30
    }

    public enum DEALEFFECT
    {

        /// <summary>
        /// 好 10
        /// </summary>
        [Description("好")]
        Good = 10,

        /// <summary>
        /// 一般 20
        /// </summary>
        [Description("一般")]
        General = 20,

        /// <summary>
        /// 差 30
        /// </summary>
        [Description("差")]
        Bad = 30,

        /// <summary>
        /// 无需落实 40
        /// </summary>
        [Description("无需落实")]
        NONE = 40,
    }

    /// <summary>
    /// 主持人 填写 会议落实效果
    /// </summary>
    public enum DEALEFFECTEDIT
    {

        /// <summary>
        /// 好 10
        /// </summary>
        [Description("好")]
        Good = 10,

        /// <summary>
        /// 一般 20
        /// </summary>
        [Description("一般")]
        General = 20,

        /// <summary>
        /// 差 30
        /// </summary>
        [Description("差")]
        Bad = 30,

    }

    /// <summary>
    /// 题型
    /// </summary>
    public enum CHECKTYPE
    {

        /// <summary>
        /// 单选 10
        /// </summary>
        [Description("单选")]
        TheRadio = 10,

        /// <summary>
        /// 复选 20
        /// </summary>
        [Description("复选")]
        Check = 20,

    }


    public enum DealChecks
    {
        /// <summary>
        /// 是 10
        /// </summary>
        [Description("是")]
        Yes = 10,

        /// <summary>
        /// 否 20
        /// </summary>
        [Description("否")]
        No = 20,

        /// <summary>
        /// 部分 30
        /// </summary>
        [Description("部分")]
        Part = 30,

        /// <summary>
        /// 充分 40
        /// </summary>
        [Description("充分")]
        Full = 40,

        /// <summary>
        /// 不充分 50
        /// </summary>
        [Description("不充分")]
        NotFull = 50,

        /// <summary>
        /// 符合 60
        /// </summary>
        [Description("符合")]
        Comply = 60,

        /// <summary>
        /// 不符合 70
        /// </summary>
        [Description("不符合")]
        NotComply = 70,

    }

    /// <summary>
    /// 会议纪要填写状态
    /// </summary>
    public enum MINUTES_DETAIL_STATUS
    {
        /// <summary>
        /// 草稿(记录人) 10 
        /// </summary>
        [Description("草稿(记录人)")]
        Temp_Record = 10,

        /// <summary>
        /// 草稿(责任人) 20 
        /// </summary>
        [Description("草稿(责任人)")]
        Deal = 20,

        /// <summary>
        /// 草稿(主持人) 30 
        /// </summary>
        [Description("草稿(主持人)")]
        Host = 30,

        /// <summary>
        /// 主持人提交 40 
        /// </summary>
        [Description("主持人提交")]
        End = 40,
    }


    /// <summary>
    /// 会议关联文本 各自添加 各自处理
    /// 12-52 普通会议
    /// 60-80 文件评审会
    /// 90-112 文件审核会
    /// </summary>
    public enum ConnToOther
    {
        /// <summary>
        /// 安全生产标准化系统评审 10 
        /// </summary>
        [Description("安全生产标准化系统评审")]
        ToOG034EditName = 10,


        /// <summary>
        /// 安全生产方针讨论 12 
        /// </summary>
        [Description("安全生产方针讨论")]
        安全生产方针讨论 = 12,

        /// <summary>
        /// 认可与奖励评价 14 
        /// </summary>
        [Description("认可与奖励评价")]
        认可与奖励评价 = 14,

        /// <summary>
        /// 风险评价小组成立 16 
        /// </summary>
        [Description("风险评价小组成立")]
        风险评价小组成立 = 16,

        /// <summary>
        /// 设备设施维修计划讨论 18 
        /// </summary>
        [Description("设备设施维修计划讨论")]
        设备设施维修计划讨论 = 18,

        /// <summary>
        /// 设备设施维修工作方案讨论 20 
        /// </summary>
        [Description("设备设施维修工作方案讨论")]
        设备设施维修工作方案讨论 = 20,

        /// <summary>
        /// 安全投入论证 22 
        /// </summary>
        [Description("安全投入论证")]
        安全投入论证 = 22,

        /// <summary>
        /// 应急机构成立及人员任命 24 
        /// </summary>
        [Description("应急机构成立及人员任命")]
        应急机构成立及人员任命 = 24,

        /// <summary>
        /// 成立矿山救护队 26 
        /// </summary>
        [Description("成立矿山救护队")]
        成立矿山救护队 = 26,

        /// <summary>
        /// 潜在紧急事件讨论 28 
        /// </summary>
        [Description("潜在紧急事件讨论")]
        潜在紧急事件讨论 = 28,

        /// <summary>
        /// 应急能力评估 30 
        /// </summary>
        [Description("应急能力评估")]
        应急能力评估 = 30,

        /// <summary>
        /// 应急演练计划讨论 32 
        /// </summary>
        [Description("应急演练计划讨论")]
        应急演练计划讨论 = 32,

        /// <summary>
        /// 应急演练方案讨论 34 
        /// </summary>
        [Description("应急演练方案讨论")]
        应急演练方案讨论 = 34,

        /// <summary>
        /// 事故调查小组成立 36 
        /// </summary>
        [Description("事故调查小组成立")]
        事故调查小组成立 = 36,

        /// <summary>
        /// 事故调查讨论 38 
        /// </summary>
        [Description("事故调查讨论")]
        事故调查讨论 = 38,

        /// <summary>
        /// 调查报告讨论 40 
        /// </summary>
        [Description("调查报告讨论")]
        调查报告讨论 = 40,

        /// <summary>
        /// 事故事件统计分析 42 
        /// </summary>
        [Description("事故事件统计分析")]
        事故事件统计分析 = 42,

        /// <summary>
        /// 事故事件回顾 44 
        /// </summary>
        [Description("事故事件回顾")]
        事故事件回顾 = 44,

        /// <summary>
        /// 安全检查表的回顾与更新 46 
        /// </summary>
        [Description("安全检查表的回顾与更新")]
        安全检查表的回顾与更新 = 46,

        /// <summary>
        /// 危险源辨识与风险评价回顾 48 
        /// </summary>
        [Description("危险源辨识与风险评价回顾")]
        危险源辨识与风险评价回顾 = 48,

        /// <summary>
        /// 年度生产作业计划讨论会 50 
        /// </summary>
        [Description("年度生产作业计划讨论会")]
        年度生产作业计划讨论会 = 50,

        /// <summary>
        /// 变化管理讨论 52 
        /// </summary>
        [Description("变化管理讨论")]
        变化管理讨论 = 52,

        /// <summary>
        /// 法律法规更新评审会 60 
        /// </summary>
        [Description("法律法规更新评审会")]
        法律法规更新评审会 = 60,

        /// <summary>
        /// 合理化建议评审会 62 
        /// </summary>
        [Description("合理化建议评审会")]
        合理化建议评审会 = 62,

        /// <summary>
        /// 安全标准化评审会 64 
        /// </summary>
        [Description("安全标准化评审会")]
        安全标准化评审会 = 64,

        /// <summary>
        /// 尾矿-勘察文件评审 66 
        /// </summary>
        [Description("尾矿-勘察文件评审")]
        尾矿勘察文件评审 = 66,

        /// <summary>
        /// 尾矿-安全评价文件评审 68 
        /// </summary>
        [Description("尾矿-安全评价文件评审")]
        尾矿安全评价文件评审 = 68,

        /// <summary>
        /// 回采勘察文件评审 70 
        /// </summary>
        [Description("回采勘察文件评审")]
        回采勘察文件评审 = 70,

        /// <summary>
        /// 尾矿-回采安全预评价文件评审 72 
        /// </summary>
        [Description("尾矿-回采安全预评价文件评审")]
        尾矿回采安全预评价文件评审 = 72,

        /// <summary>
        /// 尾矿-闭库安全现状评价文件评审 74 
        /// </summary>
        [Description("尾矿-闭库安全现状评价文件评审")]
        尾矿闭库安全现状评价文件评审 = 74,

        /// <summary>
        /// 许可作业范围评审会 76 
        /// </summary>
        [Description("许可作业范围评审会")]
        许可作业范围评审会 = 76,

        /// <summary>
        /// 安全生产责任制评审会 78 
        /// </summary>
        [Description("安全生产责任制评审会")]
        安全生产责任制评审会 = 78,

        /// <summary>
        /// 尾矿-防震技术论证报告评审会 80 
        /// </summary>
        [Description("尾矿-防震技术论证报告评审会")]
        尾矿防震技术论证报告评审会 = 80,


        /// <summary>
        /// 安全评价文件审核 90
        /// </summary>
        [Description("安全评价文件审核")]
        安全评价文件审核 = 90,

        /// <summary>
        /// 设计文件审核（露天矿山/选厂） 92 
        /// </summary>
        [Description("设计文件审核（露天矿山/选厂）")]
        设计文件审核_露天矿山选厂 = 92,

        /// <summary>
        /// 应急预案审核 94 
        /// </summary>
        [Description("应急预案审核")]
        应急预案审核 = 94,

        /// <summary>
        /// 勘察文件审核（尾矿） 96 
        /// </summary>
        [Description("勘察文件审核（尾矿）")]
        勘察文件审核_尾矿 = 96,

        /// <summary>
        /// 勘察文件审核（露天矿山） 98
        /// </summary>
        [Description("勘察文件审核（露天矿山）")]
        勘察文件审核_露天矿山 = 98,

        /// <summary>
        /// 设计文件审核（尾矿） 100 
        /// </summary>
        [Description("设计文件审核（尾矿）")]
        设计文件审核_尾矿 = 100,

        /// <summary>
        /// 回采勘察文件审核（尾矿） 102 
        /// </summary>
        [Description("回采勘察文件审核（尾矿）")]
        回采勘察文件审核_尾矿 = 102,

        /// <summary>
        /// 回采安全预评价文件审核（尾矿） 104 
        /// </summary>
        [Description("回采安全预评价文件审核（尾矿）")]
        回采安全预评价文件审核_尾矿 = 104,

        /// <summary>
        /// 回采设计文件审核（尾矿） 106 
        /// </summary>
        [Description("回采设计文件审核（尾矿）")]
        回采设计文件审核_尾矿 = 106,

        /// <summary>
        /// 闭库安全现状评价文件审核（尾矿） 108 
        /// </summary>
        [Description("闭库安全现状评价文件审核（尾矿）")]
        闭库安全现状评价文件审核_尾矿 = 108,

        /// <summary>
        /// 闭库安全现状评价文件审核（尾矿） 110 
        /// </summary>
        [Description("闭库安全现状评价文件审核（尾矿）")]
        闭库设计文件审核_尾矿 = 110,

        /// <summary>
        /// 所有的制度文件审核会 112
        /// </summary>
        [Description("所有的制度文件审核会")]
        所有的制度文件审核会 = 112,
    }

    #endregion

    #region 方针与目标管理
    /// <summary>
    /// 考核周期
    /// </summary>
    public enum PTAssessmentCycleEnums
    {
        /// <summary>
        /// 年度
        /// </summary>
        [Description("年度")]
        Year = 10,

        /// <summary>
        /// 半年度
        /// </summary>
        [Description("半年度")]
        HalfYear = 15,

        /// <summary>
        /// 季度
        /// </summary>
        [Description("季度")]
        Quarter = 20,

        /// <summary>
        /// 月度
        /// </summary>
        [Description("月度")]
        Month = 30,
        /// <summary>
        /// 星期
        /// </summary>
        [Description("星期")]
        Week = 40,
        /// <summary>
        /// 天
        /// </summary>
        [Description("天")]
        Day = 50,
    }
    /// <summary>
    /// 考核周期
    /// </summary>
    public enum PTAssessmentCycleNewEnums
    {
        /// <summary>
        /// 年度
        /// </summary>
        [Description("年度")]
        Year = 10,
        /// <summary>
        /// 季度
        /// </summary>
        [Description("季度")]
        Quarter = 20,
        /// <summary>
        /// 月度
        /// </summary>
        [Description("月度")]
        Month = 30,
    }
    /// <summary>
    /// 触发类型
    /// </summary>
    public enum PTSetTypeEnum
    {
        /// <summary>
        /// 安全方针调查表
        /// </summary>
        [Description("安全方针调查表")]
        SafePolicy = 10,
        /// <summary>
        /// 目标与指标制定
        /// </summary>
        [Description("目标与指标制定")]
        IndicatorForm = 20,
        /// <summary>
        /// 安全方针征集表
        /// </summary>
        [Description("安全方针征集表")]
        SafePolicyCollect = 30,
        /// <summary>
        /// 监测与考核记录
        /// </summary>
        [Description("监测与考核记录")]
        MonitorAssessment = 40,
        /// <summary>
        /// 纠正与预防措施通知单
        /// </summary>
        [Description("纠正与预防措施通知单")]
        CorrectivePreventive = 50,
        /// <summary>
        /// 年度安全绩效监测计划
        /// </summary>
        [Description("年度安全绩效监测计划")]
        SafetyMonitorPlan = 60,
        /// <summary>
        /// 年度安全绩效监测记录
        /// </summary>
        [Description("年度安全绩效监测记录")]
        SafetyMonitorRecord = 61,
        /// <summary>
        /// 安全标准化内部评价计划
        /// </summary>
        [Description("安全标准化内部评价计划")]
        SafetyEvaluationPlan = 62,
        /// <summary>
        /// 安全评价计划讨论会
        /// </summary>
        [Description("安全评价计划讨论会")]
        SafetyPlanMeetting = 70,
        /// <summary>
        /// 年度生产作业计划
        /// </summary>
        [Description("年度生产作业计划")]
        YearProductionPlan = 75,
        /// <summary>
        /// 月度生产作业计划
        /// </summary>
        [Description("月度生产作业计划")]
        MonthProductionPlan = 76,
        /// <summary>
        /// 滑坡滚石监控处理记录表
        /// </summary>
        [Description("滑坡滚石监控处理记录表")]
        RollStone = 80,

        /// <summary>
        /// 设备设施检测检验记录
        /// </summary>
        [Description("设备设施检测检验记录")]
        Inspection = 82,
        /// <summary>
        /// 首页完成率考核开始时间
        /// </summary>
        [Description("首页完成率考核开始时间")]
        HomeTimeSet = 85,
    }
    /// <summary>
    /// 触发类型（绩效测量模块）
    /// </summary>
    public enum PESetTypeEnum
    {
        /// <summary>
        /// 纠正与预防措施通知单
        /// </summary>
        [Description("纠正与预防措施通知单")]
        CorrectivePreventive = 50,
        /// <summary>
        /// 年度安全绩效监测计划
        /// </summary>
        [Description("年度安全绩效监测计划")]
        SafetyMonitorPlan = 60,
        /// <summary>
        /// 年度安全绩效监测记录
        /// </summary>
        [Description("年度安全绩效监测记录")]
        SafetyMonitorRecord = 61,
        /// <summary>
        /// 安全标准化内部评价计划
        /// </summary>
        [Description("安全标准化内部评价计划")]
        SafetyEvaluationPlan = 62,
    }
    /// <summary>
    /// 季度类型
    /// </summary>
    public enum PTQuarterTypeEnum
    {
        /// <summary>
        /// 第一季度
        /// </summary>
        [Description("第一季度")]
        FirstQuarter = 10,
        /// <summary>
        /// 第二季度
        /// </summary>
        [Description("第二季度")]
        SecondQuarter = 20,
        /// <summary>
        /// 第三季度
        /// </summary>
        [Description("第三季度")]
        ThirdQuarter = 30,
        /// <summary>
        /// 第四季度
        /// </summary>
        [Description("第四季度")]
        FourthQuarter = 40,
    }
    /// <summary>
    /// 结果论述
    /// </summary>
    public enum PTResultDiscussEnums
    {
        /// <summary>
        /// 未完成
        /// </summary>
        [Description("未完成")]
        Unfinished = 0,
        /// <summary>
        /// 部分完成
        /// </summary>
        [Description("部分完成")]
        PartiallyCompleted = 10,
        /// <summary>
        /// 基本完成
        /// </summary>
        [Description("基本完成")]
        BasicallyCompleted = 20,
        /// <summary>
        /// 全部完成
        /// </summary>
        [Description("全部完成")]
        Complete = 30,
    }
    #endregion

    /// <summary>
    /// 触发会议的来源
    /// </summary>
    public enum SOURCETYPE
    {
        ///// <summary>
        ///// 事故事件上报 5 
        ///// </summary>
        //[Description("事故事件上报")]

        /// <summary>
        /// 事故调查小组成员 5 
        /// </summary>
        [Description("事故调查小组成员")]
        AE008ToMeet = 5,

        /// <summary>
        /// 事故事件上报 10 
        /// </summary>
        [Description("事故事件上报")]
        AE006ToMeet = 10,

        /// <summary>
        /// 勘察记录表 15
        /// </summary>
        [Description("勘察记录表")]
        AE018ToMeet = 15,

        /// <summary>
        /// 变化识别评估 20
        /// </summary>
        [Description("变化识别评估")]
        PR023ToMeet = 20,

        /// <summary>
        /// 安全生产方针征集表 25 
        /// </summary>
        [Description("安全生产方针征集表")]
        PT014ToMeet =25,
    }
}
